Skip to content
Navigation

Update startup baseline field

PUT
https://api.sureshake.com/v2/startups/{id}/baseline/fields/{fieldId}

Path parameters

  • id
    string
    required
    format: uuid
  • fieldId
    string
    required
    format: uuid

Request body JSON required

  • fieldKey
    string
    required
    pattern: ^[a-z][a-z0-9_]{0,63}$
  • label
    string
    required
    maxLength: 120 · minLength: 1
  • value
    required

    Any of the following:

    • string
    • number
    • boolean
  • unit
    string
    or null
    required
    maxLength: 64 · minLength: 1
  • effectiveDate
    string
    required
    format: date
  • evidenceReference
    string
    or null
    required
    maxLength: 2048 · minLength: 1
  • evidenceGrade
    A
    or
    B
    or
    C
    or
    D
    or
    N
    required

Returns

200

Default Response

JSON
  • data
    object
    required
    • id
      string
      required
      format: uuid
    • baselineId
      string
      required
      format: uuid
    • fieldKey
      string
      required
      pattern: ^[a-z][a-z0-9_]{0,63}$
    • label
      string
      required
      maxLength: 120 · minLength: 1
    • value
      required

      Any of the following:

      • string
      • number
      • boolean
    • unit
      string
      or null
      required
      maxLength: 64 · minLength: 1
    • effectiveDate
      string
      required
      format: date
    • evidenceReference
      string
      or null
      required
      maxLength: 2048 · minLength: 1
    • evidenceGrade
      A
      or
      B
      or
      C
      or
      D
      or
      N
      required
    • createdBy
      string
      required
      minLength: 1
    • updatedBy
      string
      required
      minLength: 1
    • createdAt
      string
      required
      format: date-time
    • updatedAt
      string
      required
      format: date-time
  • meta
    optional
    object
    • timestamp
      string
      required
      format: date-time

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

403

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

404

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

409

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

503

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close